#!/bin/sh

LOGS_DIR=logs/

run_scheduler_tests() {
	sos_emulator 1000 20 30 99 $1 >$2/sos_emulator_output_20_30-99_$1.txt
	sos_emulator 1000 20 80 99 $1 >$2/sos_emulator_output_20_80-99_$1.txt
	sos_emulator 1000 20 93 99 $1 >$2/sos_emulator_output_20_93-99_$1.txt
}

cd "$(dirname "$0")"

alert --warning "During tests system can hang up for a few seconds. To get most accurate results quit all other applications." "Begin" "Cancel">/dev/null 2>&1
result=$?

if [ $result -eq 0 ]
then
	for a in $( sos_emulator --list ) ; do
		mkdir $LOGS_DIR>/dev/null 2>&1
		run_scheduler_tests $a $LOGS_DIR
	done
	alert --info "Finished. Feel free to examine logs." "OK">/dev/null 2>&1
fi
